ODA_INSTANCE_LIST(1)

NAME
oda_instance_list -

DESCRIPTION

Returns a page of Digital Assistant instances that belong to the specified compartment.

If the opc-next-page header appears in the response, then there are more items to retrieve. To get the next page in the subsequent GET request, include the header's value as the page query parameter.

USAGE

oci oda instance list [OPTIONS]

REQUIRED PARAMETERS

--compartment-id, -c [text]

    List the Digital Assistant instances that belong to this compartment.

OPTIONAL PARAMETERS

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--display-name [text]

    List only the information for the Digital Assistant instance with this user-friendly name. These names don't have to be unique and may change.

    Example:

    My new resource

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--lifecycle-state [text]

    List only the Digital Assistant instances that are in this lifecycle state.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED, INACTIVE, UPDATING

--limit [integer]

    The maximum number of items to return per page.

--page [text]

    The page at which to start retrieving results.

    You get this value from the opc-next-page header in a previous list request. To retireve the first page, omit this query parameter.

    Example:

    MToxMA==

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    Sort on this field. You can specify one sort order only. The default sort field is TIMECREATED.

    The default sort order for TIMECREATED is descending, and the default sort order for DISPLAYNAME is ascending.

    Accepted values are:

    DISPLAYNAME, TIMECREATED

--sort-order [text]

    Sort the results in this order, use either ASC (ascending) or DESC (descending).

    Accepted values are:

    ASC, DESC

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle